Skip to Content
0

Thriftserver Connection error: Vora 1.4 + CDH 5.11

Jun 21, 2017 at 11:16 AM

106

avatar image

Dear Community

I tried to install Vora 1.3 with CDH 5.7 and CentOS 6.7, but many of the services just wouldn't start.

Then I installed Vora 1.4 with CDH 5.11 and CentOS 6.8. The installation completed smoothly without any warning or errors. All services are started.

But from /var/log/vora/vora-thriftserver/vora-thriftserver.log I get following error:

17/06/21 12:11:41 INFO ql.Driver: Compiling command(queryId=vora_20170621121111_95ce0e5a-667c-4b97-8615-c443bca0c925): SELECT KEY, VALUE FROM SYS_SESSION_CONTEXT WHERE SECTION = 'SparkContext' AND KEY IN ('spark.hana.host', 'spark.hana.instance', 'spark.hana.user')
...
...
Caused by: org.apache.hadoop.hive.ql.parse.SemanticException: Line 1:23 Table not found 'SYS_SESSION_CONTEXT'

I don't know anymore what else I can do.

Any help is appreciated!

Thank in advance Nazim

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Dimitri Vorobiev
Jun 27, 2017 at 10:49 PM
0

Hello Nazim, this is a known bug that was introduced with the Spark version that comes with CDH5.11. We're working on a bug fix for Vora 1.4 Patch 2.

As a workaround you will have to download Spark 1.6.2 from Apache Spark's website (http://spark.apache.org/downloads.html), extract the package on the host where Vora Thriftserver is running (you can check this in Vora Manager UI) and set the Spark home directory in the Vora Thriftserver settings to point the 1.6.2 installation.

Share
10 |10000 characters needed characters left characters exceeded
Nazim Valiyev Jul 02, 2017 at 07:49 PM
0

Dear Dimitri,

thanks a lot for your hint! We have done everything as described by you and got now different issue:

Thrift Server not started

Caused by: ERROR XSLAN: Database at /var/local/vora/vora-thriftserver/metastore_db has an incompatible format with the current version of the software. The database was created by or upgraded by version 10.11.

Do you have an idea, what else we can do?

Thanks a lot!

Share
10 |10000 characters needed characters left characters exceeded